| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gaudi::IFileCatalogMgr Class Referenceabstract

File catalog manager. More...

`#include <GaudiUtils/IFileCatalogMgr.h>`

Inheritance diagram for Gaudi::IFileCatalogMgr:
[legend]
Collaboration diagram for Gaudi::IFileCatalogMgr:
[legend]

## Public Types
typedef std::vector< IFileCatalog * > | Catalogs
| Public type definitions. More...
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...

## Public Member Functions
| DeclareInterfaceID (IFileCatalogMgr, 2, 0)
| InterfaceID. More...
virtual IFileCatalog * | findCatalog (const std::string &connect, bool must_be_writable) const =0
| Catalog management. More...
virtual void | addCatalog (const std::string &connect)=0
| Add new catalog identified by name to the existing ones. More...
virtual void | addCatalog (IFileCatalog *cat)=0
| Add new catalog identified by reference to the existing ones. More...
virtual void | removeCatalog (const std::string &connect)=0
| Remove catalog identified by name from the existing ones. More...
virtual void | removeCatalog (const IFileCatalog *cat)=0
| Remove catalog identified by reference from the existing ones. More...
virtual Catalogs & | catalogs ()=0
| Access catalog container. More...
virtual const Catalogs & | catalogs () const =0
| Access catalog container (CONST) More...
virtual IFileCatalog * | writeCatalog (const std::string &fid="") const =0
| Access to the (first) writable file catalog. More...
virtual void | setWriteCatalog (IFileCatalog *cat)=0
| Define the writable catalog identified by reference. More...
virtual void | setWriteCatalog (const std::string &connect)=0
| Define the writable catalog identified by name. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

File catalog manager.

Interface to add/remove file catalogs from the multi catalog.

Author
  M.Frank

Version
  1.0

Date
  20/10/2007

Definition at line 26 of file IFileCatalogMgr.h.

## Member Typedef Documentation

typedef std::vector<IFileCatalog*> Gaudi::IFileCatalogMgr::Catalogs

Public type definitions.

Definition at line 32 of file IFileCatalogMgr.h.

## Member Function Documentation

virtual void Gaudi::IFileCatalogMgr::addCatalog | ( | const std::string & | connect | ) |
| pure virtual

Add new catalog identified by name to the existing ones.

virtual void Gaudi::IFileCatalogMgr::addCatalog | ( | IFileCatalog * | cat | ) |
| pure virtual

Add new catalog identified by reference to the existing ones.

virtual Catalogs& Gaudi::IFileCatalogMgr::catalogs | ( |  | ) |
| pure virtual

Access catalog container.

virtual const Catalogs& Gaudi::IFileCatalogMgr::catalogs | ( |  | ) | const
| pure virtual

Access catalog container (CONST)

Gaudi::IFileCatalogMgr::DeclareInterfaceID | ( | IFileCatalogMgr | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual IFileCatalog* Gaudi::IFileCatalogMgr::findCatalog | ( | const std::string & | connect,
|  | bool | must_be_writable
| ) |  | const
| pure virtual

Catalog management.

Find catalog by connect string

virtual void Gaudi::IFileCatalogMgr::removeCatalog | ( | const std::string & | connect | ) |
| pure virtual

Remove catalog identified by name from the existing ones.

virtual void Gaudi::IFileCatalogMgr::removeCatalog | ( | const IFileCatalog * | cat | ) |
| pure virtual

Remove catalog identified by reference from the existing ones.

virtual void Gaudi::IFileCatalogMgr::setWriteCatalog | ( | IFileCatalog * | cat | ) |
| pure virtual

Define the writable catalog identified by reference.

virtual void Gaudi::IFileCatalogMgr::setWriteCatalog | ( | const std::string & | connect | ) |
| pure virtual

Define the writable catalog identified by name.

virtual IFileCatalog* Gaudi::IFileCatalogMgr::writeCatalog | ( | const std::string & | fid = `""` | ) | const
| pure virtual

Access to the (first) writable file catalog.

The documentation for this class was generated from the following file:

- GaudiUtils/GaudiUtils/IFileCatalogMgr.h